﻿using System;
using System.Runtime.InteropServices;

namespace Katteker.Gui
{
    /// <summary>
    /// Native methods.
    /// </summary>
    public static class NativeMethods
    {
        /// <summary>
        /// Release the capture
        /// </summary>
        [DllImport("User32.dll")]
        public static extern bool ReleaseCapture();

        /// <summary>
        /// Send message
        /// </summary>
        [DllImport("User32.dll")]
        public static extern int SendMessage(IntPtr hWnd, int Msg, int wParam, int lParam);

        /// <summary>
        /// Set Process API aware
        /// </summary>
        [DllImport("user32.dll")]
        public static extern bool SetProcessDPIAware();

    }
}